#pragma once
#include "main.h"

class myImage
{
public:
	myImage(void);
	~myImage(void);

	virtual bool load(char* filename, bool isVisible=false);
	void setVisible(bool isVisible);
	void setPosition(int x, int y);
	void setScale(float f);
	void setNextAnimImage(myImage* next, int ms);
	virtual void draw();
	virtual void clean();

protected:
	LPDIRECT3DSURFACE9	m_surface;
	int					m_width;
	int					m_height;
	bool				m_isVisible;
	int					m_x;
	int					m_y;
	float				m_scale;
	myImage*			m_next;
	int					m_msDisplay;
	DWORD				m_startTime;

};
